Si deseas actualizar la versión PHP para toda tu cuenta, puedes hacerlo directamente desde el panel siguiendo estos pasos: Cómo cambiar la versión de PHP en tu cuenta de hosting.

En caso de que desees cambiar la versión únicamente para alguno de tus dominios, subdominios o subdirectorios dentro de los mismos, puedes hacerlo añadiendo una línea de código en el archivo .htacess

Paso 1 - Abre el archivo .htaccess

Ve a Sitios web Administrar, En la barra lateral izquierda, busca Administrador de archivos y da clic:

A continuación, accede al directorio al que deseas aplicar la versión PHP diferente. Si se trata de un dominio, accede a la carpeta public_html del dominio. Para un subdominio, la carpeta se encontrará dentro de public_html del dominio.

Para cualquier otro directorio en específico, simplemente dirígete a la ubicación del mismo. Una vez que estés en la ruta correcta, abre el archivo .htaccess haciendo doble clic en él. Si el archivo no existe, puedes crearlo directamente. Asegúrate de añadir un punto (.) al inicio del nombre del archivo:

Paso 2 - Edita el archivo .htaccess

Añade el siguiente código al principio del archivo .htaccess:

<FilesMatch "\.(php4|php5|php3|php2|php|phtml)$">
SetHandler application/x-lsphp71
</FilesMatch>

La segunda línea determina la versión PHP que se aplicará al directorio. Solo debes cambiar application/x-lsphp71 por la versión que deseas utilizar. Consulta esta tabla con los posibles valores:

Versión PHP

Código

5.2

application/x-lsphp52

5.3

application/x-lsphp53

5.4

application/x-lsphp54

5.5

application/x-lsphp55

5.6

application/x-lsphp56

7.0

application/x-lsphp70

7.1

application/x-lsphp71

7.2

application/x-lsphp72

7.3*

application/x-lsphp73

7.4

application/x-lsphp74

8.0

application/x-lsphp80

8.1

application/x-lsphp81

* Las versiones PHP anteriores a esta se consideran obsoletas y no están soportadas

NOTAS:

  • Para verificar si el cambio se aplicó correctamente, puedes crear un archivo phpinfo.php

  • En general, no se recomienda cambiar la versión PHP utilizando este método, ya que no incluye las extensiones y opciones. Esto puede afectar el funcionamiento correcto de tu sitio web

¿Encontró su respuesta?